Package org.eclipse.graphiti.ui.internal.policy

# Class ShapeContainerAndXYLayoutEditPolicy

java.lang.Object
org.eclipse.gef.editpolicies.AbstractEditPolicy
org.eclipse.gef.editpolicies.GraphicalEditPolicy
org.eclipse.gef.editpolicies.LayoutEditPolicy
org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy
org.eclipse.gef.editpolicies.XYLayoutEditPolicy
org.eclipse.graphiti.ui.internal.policy.ShapeXYLayoutEditPolicy
org.eclipse.graphiti.ui.internal.policy.ShapeContainerAndXYLayoutEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

public class ShapeContainerAndXYLayoutEditPolicy extends ShapeXYLayoutEditPolicy

## Field Summary

### Fields inherited from class org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy

`UNSPECIFIED_SIZE`

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ShapeContainerAndXYLayoutEditPolicy(IConfigurationProviderInternal configurationProvider)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.gef.commands.Command`
`createAddCommand(org.eclipse.gef.EditPart child, Object constraint)`
Is called, when a child EditPart shall be moved from another parent-EditPart into this parent-EditPart.

### Methods inherited from class org.eclipse.graphiti.ui.internal.policy.ShapeXYLayoutEditPolicy

`createChangeConstraintCommand, createChildEditPolicy, createCreateContext, createLayoutAnchorContext, createMoveShapeContext, createResizeShapeContext, getConfigurationProvider, getCreateCommand, getDeleteDependantCommand`

### Methods inherited from class org.eclipse.gef.editpolicies.XYLayoutEditPolicy

`getConstraintFor, getConstraintFor, getConstraintFor, getCurrentConstraintFor, getLayoutOrigin, getMinimumSizeFor, getXYLayout, setXyLayout, showSizeOnDropFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.ConstrainedLayoutEditPolicy

`createAddCommand, createChangeConstraintCommand, getAddCommand, getAlignChildrenCommand, getChangeConstraintCommand, getCommand, getConstraintFor, getConstraintFor, getConstraintForClone, getMoveChildrenCommand, getResizeChildrenCommand, translateToModelConstraint`

### Methods inherited from class org.eclipse.gef.editpolicies.LayoutEditPolicy

`activate, createListener, createSizeOnDropFeedback, deactivate, decorateChild, decorateChildren, eraseLayoutTargetFeedback, eraseSizeOnDropFeedback, eraseTargetFeedback, getCloneCommand, getCreationFeedbackOffset, getLayoutContainer, getOrphanChildrenCommand, getSizeOnDropFeedback, getSizeOnDropFeedback, getTargetEditPart, setListener, showLayoutTargetFeedback, showTargetFeedback, translateFromAbsoluteToLayoutRelative, translateFromLayoutRelativeToAbsolute, undecorateChild, undecorateChildren`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`debugFeedback, eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShapeContainerAndXYLayoutEditPolicy

protected ShapeContainerAndXYLayoutEditPolicy(IConfigurationProviderInternal configurationProvider)

## Method Details

### createAddCommand

protected org.eclipse.gef.commands.Command createAddCommand(org.eclipse.gef.EditPart child, Object constraint)
Description copied from class: `ShapeXYLayoutEditPolicy`
Is called, when a child EditPart shall be moved from another parent-EditPart into this parent-EditPart. It creates an ICommandCombiner.createSetParentReferenceCommand().

Overrides:
  `createAddCommand` in class `ShapeXYLayoutEditPolicy`
See Also:
  - `ConstrainedLayoutEditPolicy.createAddCommand(org.eclipse.gef.EditPart, java.lang.Object)`